Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061093 - mysql-connector-java-5.1.36 is available
Summary: mysql-connector-java-5.1.36 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql-connector-java
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Dorňák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 11:26 UTC by Upstream Release Monitoring
Modified: 2015-09-30 19:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-30 19:56:16 UTC


Attachments (Terms of Use)
update to 5.1.35 (deleted)
2015-06-21 19:19 UTC, gil cattaneo
no flags Details | Diff
update to 5.1.36 (deleted)
2015-07-03 02:45 UTC, gil cattaneo
no flags Details | Diff

Description Upstream Release Monitoring 2014-02-04 11:26:45 UTC
Latest upstream release: 5.1.29
Current version/release in Fedora Rawhide: 5.1.28-1.fc21
URL: http://dev.mysql.com/downloads/connector/j/?os=26

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2014-03-31 12:14:12 UTC
Latest upstream release: 5.1.30
Current version/release in Fedora Rawhide: 5.1.28-2.fc21
URL: http://dev.mysql.com/downloads/connector/j/?os=26

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Upstream Release Monitoring 2014-06-07 20:49:16 UTC
Latest upstream release: 5.1.31
Current version/release in Fedora Rawhide: 5.1.28-3.fc21
URL: http://dev.mysql.com/downloads/connector/j/?os=26

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Upstream Release Monitoring 2014-08-12 07:49:10 UTC
Latest upstream release: 5.1.32
Current version/release in Fedora Rawhide: 5.1.28-3.fc21
URL: http://dev.mysql.com/downloads/connector/j/?os=26

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 4 Upstream Release Monitoring 2014-09-26 10:15:02 UTC
Latest upstream release: 5.1.33
Current version/release in Fedora Rawhide: 5.1.28-3.fc21
URL: http://dev.mysql.com/downloads/connector/j/?os=26

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 5 Upstream Release Monitoring 2014-11-04 13:25:19 UTC
Latest upstream release: 5.1.34
Current version/release in Fedora Rawhide: 5.1.28-3.fc21
URL: http://dev.mysql.com/downloads/connector/j/?os=26

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 6 Upstream Release Monitoring 2015-03-24 00:57:05 UTC
Latest upstream release: 5.1.35
Current version/release in rawhide: 5.1.28-3.fc21
URL: http://dev.mysql.com/downloads/connector/j/?os=26

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 7 gil cattaneo 2015-06-21 19:19:29 UTC
Created attachment 1041493 [details]
update to 5.1.35

- add c3p0 and hibernate-core support

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10174752

NOTE: jdbc4.1 patch maybe optimized for use SQLException instead of SQLFeatureNotSupportedException see: 
 src/com/mysql/fabric/jdbc/FabricMySQLDriver.java
 src/com/mysql/jdbc/NonRegisteringDriver.java
 src/com/mysql/jdbc/jdbc2/optional/MysqlConnectionPoolDataSource.java
 src/com/mysql/jdbc/jdbc2/optional/MysqlDataSource.java
 src/com/mysql/jdbc/jdbc2/optional/MysqlXADataSource.java

Comment 8 gil cattaneo 2015-06-21 19:20:53 UTC
(In reply to gil cattaneo from comment #7)
> Created attachment 1041493 [details]
> update to 5.1.35

> NOTE: jdbc4.1 patch maybe optimized for use SQLException instead of
> SQLFeatureNotSupportedException see: 
>  src/com/mysql/fabric/jdbc/FabricMySQLDriver.java
>  src/com/mysql/jdbc/NonRegisteringDriver.java
>  src/com/mysql/jdbc/jdbc2/optional/MysqlConnectionPoolDataSource.java
>  src/com/mysql/jdbc/jdbc2/optional/MysqlDataSource.java
>  src/com/mysql/jdbc/jdbc2/optional/MysqlXADataSource.java

for the getParentLogger() method

Comment 9 gil cattaneo 2015-06-21 19:45:24 UTC
Should ne modified the  classpath patch for compile the c3p0 integration
or adding sed -i "s|c3p0.jar|c3p0/c3p0.jar|" build.xml

Comment 10 Upstream Release Monitoring 2015-07-03 01:11:54 UTC
Latest upstream release: 5.1.36
Current version/release in rawhide: 5.1.28-3.fc21
URL: http://dev.mysql.com/downloads/connector/j/?os=26

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 11 Upstream Release Monitoring 2015-07-03 01:12:06 UTC
Failed to kick off scratch build.

list index out of range

Comment 12 gil cattaneo 2015-07-03 02:45:01 UTC
Created attachment 1045707 [details]
update to 5.1.36

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10276566

Comment 13 gil cattaneo 2015-07-03 02:48:52 UTC
Should ne modified the  classpath patch for compile the c3p0 integration
or adding sed -i "s|c3p0.jar|c3p0/c3p0.jar|" build.xml

Comment 14 Jakub Dorňák 2015-07-07 12:09:33 UTC
I have done it, just waiting for commit access.

Comment 15 Upstream Release Monitoring 2015-07-14 16:35:54 UTC
jdornak's mysql-connector-java-5.1.36-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=668757

Comment 16 gil cattaneo 2015-07-14 16:54:09 UTC
why disable dirvers jdbc3? are useful for backward compatibility with the patch0 makes buildable with java8. and root com/mysql/fabric should be available in the final artifact. this will be subject to a future bug.

Comment 17 gil cattaneo 2015-07-14 17:10:28 UTC
other problem:
unavailable class in OSGi manifest Export-Package com.mysql.jdbc.integration.c3p0
you should add Build/Requires c3p0
for com.mysql.jdbc.integration.jboss should be removed

Comment 18 Jakub Dorňák 2015-07-14 17:26:16 UTC
OK, I'll go through your patch carefully and apply all your changes.
(It seemed to me that it makes the same thing just different way.)

Comment 19 gil cattaneo 2015-07-14 19:12:18 UTC
(In reply to Jakub Dorňák from comment #18)
> OK, I'll go through your patch carefully and apply all your changes.
> (It seemed to me that it makes the same thing just different way.)
yes,sorry for the noise. So you have to fix only the OSGi manifest (comment#17)


Note You need to log in before you can comment on or make changes to this bug.